# Process this file with autoconf to produce a configure script.
AC_INIT([mgcomp], 1.5.0,[Eric.De_La_Clergerie@inria.fr])
AC_PREREQ(2.61)
AC_CONFIG_SRCDIR(README)

AUTOMAKE=${AUTOMAKE-"automake-dyalog"}

AM_INIT_AUTOMAKE([1.9])

AC_CONFIG_MACRO_DIR([m4])

AC_CANONICAL_HOST
AC_C_CONST
AC_C_INLINE

# Checks for programs.
AC_PROG_CXX
AC_PROG_CC
AM_PROG_AS
AC_PROG_INSTALL
AC_PROG_MAKE_SET

# Checks for header files.
AC_CHECK_HEADERS([unistd.h])

# Checks for DyALog
AC_PATH_DYALOG([1.13.0])

## LIBS="$LIBS $DYALOG_LIBS"
## CFLAGS="$CFLAGS $DYALOG_CFLAGS"

AC_CONFIG_FILES(Makefile mgcomp.pc)
AC_OUTPUT
